## crunch 1.26.1

=== DESCRIPTION ===
Package: crunch
Type: Package
Title: Crunch.io Data Tools
Description: The Crunch.io service <http://crunch.io/> provides a cloud-based
    data store and analytic engine, as well as an intuitive web interface.
    Using this package, analysts can interact with and manipulate Crunch
    datasets from within R. Importantly, this allows technical researchers to
    collaborate naturally with team members, managers, and clients who prefer a
    point-and-click interface.
Version: 1.26.1
Authors@R: c(
    person("Neal", "Richardson", role="aut", email="neal.p.richardson@gmail.com"),
    person("Jonathan", "Keane", role="aut", email="jkeane@gmail.com"),
    person("Gordon", "Shotwell", role="aut", email="gordon.shotwell@gmail.com"),
    person("Mike", "Malecki", role=c("aut", "cre"), email="mike@crunch.io"))
URL: https://crunch.io/r/crunch/, https://github.com/Crunch-io/rcrunch
BugReports: https://github.com/Crunch-io/rcrunch/issues
License: LGPL (>= 3)
Depends: R (>= 3.0.0)
Imports: crayon, curl, grDevices, httr (>= 1.0.0), httpcache (>=
        0.1.4), jsonlite (>= 0.9.15), methods
Suggests: covr, crunchy, devtools, haven, httptest (>= 3.0.0), knitr,
        lintr, magrittr, rmarkdown, rstudioapi, spelling, styler,
        testthat (>= 2.0.0), withr
VignetteBuilder: knitr
Language: en-US
Encoding: UTF-8
RoxygenNote: 6.1.1
LazyData: true
Collate: 'AllClasses.R' 'AllGenerics.R' 'variable-definition.R'
        'R-to-variable.R' 'SO-survey.R' 'abstract-categories.R'
        'abstract-category.R' 'add-subvariable.R' 'add-variable.R'
        'api.R' 'append-dataset.R' 'archive-and-publish.R'
        'as-data-frame.R' 'as-vector.R' 'auth.R' 'batches.R'
        'case-variables.R' 'categories.R' 'category.R'
        'change-category-id.R' 'combine-categories.R'
        'compare-categories.R' 'compare-datasets.R'
        'compare-subvariables.R' 'compare-variables.R' 'compare.R'
        'conditional-transform.R' 'consent.R' 'context-manager.R'
        'copy.R' 'crunch-data-frame.R' 'crunch.R' 'crunchbox.R'
        'cube-collapse-dimensions.R' 'cube-dims.R' 'cube-index-table.R'
        'cube-query.R' 'cube-residuals.R' 'cube-result.R'
        'cube-subset.R' 'transform.R' 'cube-transforms.R'
        'cube-variables.R' 'cut.R' 'dataset-catalog.R'
        'dataset-extract.R' 'dataset-order.R' 'dataset-reference.R'
        'dataset-stream.R' 'dataset-update.R' 'dataset.R' 'datetime.R'
        'shoji-catalog.R' 'decks.R' 'delete.R' 'dichotomize.R'
        'drop-rows.R' 'edit-lock.R' 'export-dataset.R' 'expressions.R'
        'filters.R' 'folders.R' 'fork-and-merge.R' 'formula.R'
        'gadgets.R' 'geo.R' 'get-datasets.R' 'github.R'
        'hide-variables.R' 'insertions.R' 'interact.R' 'join-dataset.R'
        'json.R' 'length.R' 'make-array.R' 'members.R'
        'merge-crunch-data-frame.R' 'misc.R' 'multitables.R'
        'new-dataset.R' 'ordering.R' 'permission-catalog.R'
        'permissions.R' 'show.R' 'pretty-print.R' 'progress.R'
        'project-folder.R' 'projects.R' 'search.R' 'session.R'
        'share.R' 'shoji-entity.R' 'shoji-folder.R'
        'shoji-order-slots.R' 'shoji-order.R' 'shoji.R' 'slides.R'
        'subtotals-and-headings.R' 'subvariables.R'
        'summary-insertions.R' 'tab-book.R' 'teams.R'
        'transform-calculate.R' 'tuple.R' 'univariate.R' 'user-info.R'
        'user.R' 'variable-as-methods.R' 'variable-catalog.R'
        'variable-derivation.R' 'variable-folder.R'
        'variable-metadata.R' 'variable-order.R' 'variable-summary.R'
        'variable-type.R' 'variable-update.R' 'variable.R'
        'variables.R' 'versions.R' 'weight.R' 'zcl.R'
NeedsCompilation: no
Packaged: 2019-06-07 13:48:59 UTC; jkeane
Author: Neal Richardson [aut],
  Jonathan Keane [aut],
  Gordon Shotwell [aut],
  Mike Malecki [aut, cre]
Maintainer: Mike Malecki <mike@crunch.io>
Repository: CRAN
Date/Publication: 2019-06-07 17:30:03 UTC

## crunch 1.26.2

=== DESCRIPTION ===
--- 
+++ 
@@ -7,12 +7,13 @@
     datasets from within R. Importantly, this allows technical researchers to
     collaborate naturally with team members, managers, and clients who prefer a
     point-and-click interface.
-Version: 1.26.1
+Version: 1.26.2
 Authors@R: c(
+    person("Greg", "Freedman Ellis", role = c("aut", "cre"), email = "greg@crunch.io"),
+    person("Jonathan", "Keane", role="aut", email="jkeane@gmail.com"),
+    person("Mike", "Malecki", role="aut", email="mike@crunch.io"),
     person("Neal", "Richardson", role="aut", email="neal.p.richardson@gmail.com"),
-    person("Jonathan", "Keane", role="aut", email="jkeane@gmail.com"),
-    person("Gordon", "Shotwell", role="aut", email="gordon.shotwell@gmail.com"),
-    person("Mike", "Malecki", role=c("aut", "cre"), email="mike@crunch.io"))
+    person("Gordon", "Shotwell", role="aut", email="gordon.shotwell@gmail.com"))
 URL: https://crunch.io/r/crunch/, https://github.com/Crunch-io/rcrunch
 BugReports: https://github.com/Crunch-io/rcrunch/issues
 License: LGPL (>= 3)
@@ -25,7 +26,7 @@
 VignetteBuilder: knitr
 Language: en-US
 Encoding: UTF-8
-RoxygenNote: 6.1.1
+RoxygenNote: 7.0.2
 LazyData: true
 Collate: 'AllClasses.R' 'AllGenerics.R' 'variable-definition.R'
         'R-to-variable.R' 'SO-survey.R' 'abstract-categories.R'
@@ -65,11 +66,12 @@
         'variable-type.R' 'variable-update.R' 'variable.R'
         'variables.R' 'versions.R' 'weight.R' 'zcl.R'
 NeedsCompilation: no
-Packaged: 2019-06-07 13:48:59 UTC; jkeane
-Author: Neal Richardson [aut],
+Packaged: 2020-02-10 16:37:40 UTC; greg
+Author: Greg Freedman Ellis [aut, cre],
   Jonathan Keane [aut],
-  Gordon Shotwell [aut],
-  Mike Malecki [aut, cre]
-Maintainer: Mike Malecki <mike@crunch.io>
+  Mike Malecki [aut],
+  Neal Richardson [aut],
+  Gordon Shotwell [aut]
+Maintainer: Greg Freedman Ellis <greg@crunch.io>
 Repository: CRAN
-Date/Publication: 2019-06-07 17:30:03 UTC
+Date/Publication: 2020-02-10 21:00:08 UTC

## crunch 1.26.3

=== DESCRIPTION ===
--- 
+++ 
@@ -7,7 +7,7 @@
     datasets from within R. Importantly, this allows technical researchers to
     collaborate naturally with team members, managers, and clients who prefer a
     point-and-click interface.
-Version: 1.26.2
+Version: 1.26.3
 Authors@R: c(
     person("Greg", "Freedman Ellis", role = c("aut", "cre"), email = "greg@crunch.io"),
     person("Jonathan", "Keane", role="aut", email="jkeane@gmail.com"),
@@ -57,8 +57,8 @@
         'project-folder.R' 'projects.R' 'search.R' 'session.R'
         'share.R' 'shoji-entity.R' 'shoji-folder.R'
         'shoji-order-slots.R' 'shoji-order.R' 'shoji.R' 'slides.R'
-        'subtotals-and-headings.R' 'subvariables.R'
-        'summary-insertions.R' 'tab-book.R' 'teams.R'
+        'sliding-categories.R' 'subtotals-and-headings.R'
+        'subvariables.R' 'summary-insertions.R' 'tab-book.R' 'teams.R'
         'transform-calculate.R' 'tuple.R' 'univariate.R' 'user-info.R'
         'user.R' 'variable-as-methods.R' 'variable-catalog.R'
         'variable-derivation.R' 'variable-folder.R'
@@ -66,7 +66,7 @@
         'variable-type.R' 'variable-update.R' 'variable.R'
         'variables.R' 'versions.R' 'weight.R' 'zcl.R'
 NeedsCompilation: no
-Packaged: 2020-02-10 16:37:40 UTC; greg
+Packaged: 2020-03-12 17:00:53 UTC; gregfreedmanellis
 Author: Greg Freedman Ellis [aut, cre],
   Jonathan Keane [aut],
   Mike Malecki [aut],
@@ -74,4 +74,4 @@
   Gordon Shotwell [aut]
 Maintainer: Greg Freedman Ellis <greg@crunch.io>
 Repository: CRAN
-Date/Publication: 2020-02-10 21:00:08 UTC
+Date/Publication: 2020-03-12 18:00:02 UTC

## crunch 1.27.0

=== DESCRIPTION ===
--- 
+++ 
@@ -7,7 +7,7 @@
     datasets from within R. Importantly, this allows technical researchers to
     collaborate naturally with team members, managers, and clients who prefer a
     point-and-click interface.
-Version: 1.26.3
+Version: 1.27.0
 Authors@R: c(
     person("Greg", "Freedman Ellis", role = c("aut", "cre"), email = "greg@crunch.io"),
     person("Jonathan", "Keane", role="aut", email="jkeane@gmail.com"),
@@ -26,7 +26,7 @@
 VignetteBuilder: knitr
 Language: en-US
 Encoding: UTF-8
-RoxygenNote: 7.0.2
+RoxygenNote: 7.1.0
 LazyData: true
 Collate: 'AllClasses.R' 'AllGenerics.R' 'variable-definition.R'
         'R-to-variable.R' 'SO-survey.R' 'abstract-categories.R'
@@ -53,12 +53,13 @@
         'json.R' 'length.R' 'make-array.R' 'members.R'
         'merge-crunch-data-frame.R' 'misc.R' 'multitables.R'
         'new-dataset.R' 'ordering.R' 'permission-catalog.R'
-        'permissions.R' 'show.R' 'pretty-print.R' 'progress.R'
-        'project-folder.R' 'projects.R' 'search.R' 'session.R'
-        'share.R' 'shoji-entity.R' 'shoji-folder.R'
-        'shoji-order-slots.R' 'shoji-order.R' 'shoji.R' 'slides.R'
-        'sliding-categories.R' 'subtotals-and-headings.R'
-        'subvariables.R' 'summary-insertions.R' 'tab-book.R' 'teams.R'
+        'permissions.R' 'show.R' 'pretty-print.R' 'private-variables.R'
+        'progress.R' 'project-folder.R' 'projects.R' 'row-distinct.R'
+        'search.R' 'session.R' 'share.R' 'shoji-entity.R'
+        'shoji-folder.R' 'shoji-order-slots.R' 'shoji-order.R'
+        'shoji.R' 'slides.R' 'sliding-categories.R'
+        'subtotals-and-headings.R' 'subvariables.R'
+        'summary-insertions.R' 'tab-book.R' 'teams.R'
         'transform-calculate.R' 'tuple.R' 'univariate.R' 'user-info.R'
         'user.R' 'variable-as-methods.R' 'variable-catalog.R'
         'variable-derivation.R' 'variable-folder.R'
@@ -66,7 +67,7 @@
         'variable-type.R' 'variable-update.R' 'variable.R'
         'variables.R' 'versions.R' 'weight.R' 'zcl.R'
 NeedsCompilation: no
-Packaged: 2020-03-12 17:00:53 UTC; gregfreedmanellis
+Packaged: 2020-07-21 12:53:50 UTC; gregfreedmanellis
 Author: Greg Freedman Ellis [aut, cre],
   Jonathan Keane [aut],
   Mike Malecki [aut],
@@ -74,4 +75,4 @@
   Gordon Shotwell [aut]
 Maintainer: Greg Freedman Ellis <greg@crunch.io>
 Repository: CRAN
-Date/Publication: 2020-03-12 18:00:02 UTC
+Date/Publication: 2020-07-22 14:20:02 UTC

## crunch 1.27.5

=== DESCRIPTION ===
Package: crunch
Type: Package
Title: Crunch.io Data Tools
Description: The Crunch.io service <https://crunch.io/> provides a cloud-based
    data store and analytic engine, as well as an intuitive web interface.
    Using this package, analysts can interact with and manipulate Crunch
    datasets from within R. Importantly, this allows technical researchers to
    collaborate naturally with team members, managers, and clients who prefer a
    point-and-click interface.
Version: 1.27.5
Authors@R: c(
    person("Greg", "Freedman Ellis", role = c("aut", "cre"), email = "greg@crunch.io"),
    person("Jonathan", "Keane", role="aut", email="jkeane@gmail.com"),
    person("Mike", "Malecki", role="aut", email="mike@crunch.io"),
    person("Neal", "Richardson", role="aut", email="neal.p.richardson@gmail.com"),
    person("Gordon", "Shotwell", role="aut", email="gordon.shotwell@gmail.com"))
URL: https://crunch.io/r/crunch/, https://github.com/Crunch-io/rcrunch
BugReports: https://github.com/Crunch-io/rcrunch/issues
License: LGPL (>= 3)
Depends: R (>= 3.0.0)
Imports: crayon, curl, grDevices, httr (>= 1.0.0), httpcache (>=
        0.1.4), jsonlite (>= 0.9.15), methods
Suggests: covr, crunchy, devtools, haven, httptest (>= 3.0.0), keyring,
        knitr, lintr, magrittr, rmarkdown, rstudioapi, spelling,
        styler, testthat (>= 2.0.0), withr
VignetteBuilder: knitr
Language: en-US
Encoding: UTF-8
RoxygenNote: 7.1.1
LazyData: true
Collate: 'AllClasses.R' 'AllGenerics.R' 'variable-definition.R'
        'R-to-variable.R' 'SO-survey.R' 'abstract-categories.R'
        'abstract-category.R' 'add-subvariable.R' 'add-variable.R'
        'api.R' 'append-dataset.R' 'archive-and-publish.R'
        'as-data-frame.R' 'as-vector.R' 'auth.R' 'automation.R'
        'batches.R' 'case-variables.R' 'case-when-variable.R'
        'categories.R' 'category.R' 'change-category-id.R'
        'combine-categories.R' 'compare-categories.R'
        'compare-datasets.R' 'compare-subvariables.R'
        'compare-variables.R' 'compare.R' 'conditional-transform.R'
        'consent.R' 'context-manager.R' 'copy.R' 'crunch-data-frame.R'
        'crunch.R' 'crunchbox.R' 'cube-collapse-dimensions.R'
        'cube-dims.R' 'cube-index-table.R' 'cube-query.R'
        'cube-residuals.R' 'cube-result.R' 'cube-subset.R'
        'transform.R' 'cube-transforms.R' 'cube-variables.R' 'cut.R'
        'dataset-catalog.R' 'dataset-extract.R' 'dataset-order.R'
        'dataset-reference.R' 'dataset-stream.R' 'dataset-update.R'
        'dataset.R' 'datetime.R' 'shoji-catalog.R' 'decks.R' 'delete.R'
        'dichotomize.R' 'drop-rows.R' 'edit-lock.R' 'export-dataset.R'
        'expressions.R' 'fill-variable.R' 'filters.R' 'folders.R'
        'fork-and-merge.R' 'formula.R' 'gadgets.R' 'geo.R'
        'get-datasets.R' 'github.R' 'hide-variables.R' 'insertions.R'
        'interact.R' 'join-dataset.R' 'json.R' 'length.R'
        'make-array.R' 'members.R' 'merge-crunch-data-frame.R' 'misc.R'
        'multitables.R' 'new-dataset.R' 'ordering.R'
        'permission-catalog.R' 'permissions.R' 'show.R'
        'pretty-print.R' 'private-variables.R' 'progress.R'
        'project-folder.R' 'projects.R' 'rowwise.R' 'search.R'
        'session.R' 'share.R' 'shoji-entity.R' 'shoji-folder.R'
        'shoji-order-slots.R' 'shoji-order.R' 'shoji.R' 'slides.R'
        'sliding-categories.R' 'subtotals-and-headings.R'
        'subvariables.R' 'summary-insertions.R' 'tab-book.R' 'teams.R'
        'transform-calculate.R' 'tuple.R' 'univariate.R' 'user-info.R'
        'user.R' 'variable-as-methods.R' 'variable-catalog.R'
        'variable-derivation.R' 'variable-folder.R'
        'variable-metadata.R' 'variable-order.R' 'variable-summary.R'
        'variable-type.R' 'variable-update.R' 'variable.R'
        'variables.R' 'versions.R' 'weight.R' 'zcl.R'
NeedsCompilation: no
Packaged: 2020-09-15 13:43:03 UTC; gregfreedmanellis
Author: Greg Freedman Ellis [aut, cre],
  Jonathan Keane [aut],
  Mike Malecki [aut],
  Neal Richardson [aut],
  Gordon Shotwell [aut]
Maintainer: Greg Freedman Ellis <greg@crunch.io>
Repository: CRAN
Date/Publication: 2020-09-15 15:20:03 UTC

## crunch 1.27.7

=== DESCRIPTION ===
--- 
+++ 
@@ -7,7 +7,7 @@
     datasets from within R. Importantly, this allows technical researchers to
     collaborate naturally with team members, managers, and clients who prefer a
     point-and-click interface.
-Version: 1.27.5
+Version: 1.27.7
 Authors@R: c(
     person("Greg", "Freedman Ellis", role = c("aut", "cre"), email = "greg@crunch.io"),
     person("Jonathan", "Keane", role="aut", email="jkeane@gmail.com"),
@@ -18,7 +18,7 @@
 BugReports: https://github.com/Crunch-io/rcrunch/issues
 License: LGPL (>= 3)
 Depends: R (>= 3.0.0)
-Imports: crayon, curl, grDevices, httr (>= 1.0.0), httpcache (>=
+Imports: abind, crayon, curl, grDevices, httr (>= 1.0.0), httpcache (>=
         0.1.4), jsonlite (>= 0.9.15), methods
 Suggests: covr, crunchy, devtools, haven, httptest (>= 3.0.0), keyring,
         knitr, lintr, magrittr, rmarkdown, rstudioapi, spelling,
@@ -67,7 +67,7 @@
         'variable-type.R' 'variable-update.R' 'variable.R'
         'variables.R' 'versions.R' 'weight.R' 'zcl.R'
 NeedsCompilation: no
-Packaged: 2020-09-15 13:43:03 UTC; gregfreedmanellis
+Packaged: 2021-02-01 23:41:44 UTC; gregfreedmanellis
 Author: Greg Freedman Ellis [aut, cre],
   Jonathan Keane [aut],
   Mike Malecki [aut],
@@ -75,4 +75,4 @@
   Gordon Shotwell [aut]
 Maintainer: Greg Freedman Ellis <greg@crunch.io>
 Repository: CRAN
-Date/Publication: 2020-09-15 15:20:03 UTC
+Date/Publication: 2021-02-02 10:50:11 UTC

## crunch 1.28.0

=== DESCRIPTION ===
--- 
+++ 
@@ -7,7 +7,7 @@
     datasets from within R. Importantly, this allows technical researchers to
     collaborate naturally with team members, managers, and clients who prefer a
     point-and-click interface.
-Version: 1.27.7
+Version: 1.28.0
 Authors@R: c(
     person("Greg", "Freedman Ellis", role = c("aut", "cre"), email = "greg@crunch.io"),
     person("Jonathan", "Keane", role="aut", email="jkeane@gmail.com"),
@@ -46,13 +46,14 @@
         'dataset-catalog.R' 'dataset-extract.R' 'dataset-order.R'
         'dataset-reference.R' 'dataset-stream.R' 'dataset-update.R'
         'dataset.R' 'datetime.R' 'shoji-catalog.R' 'decks.R' 'delete.R'
-        'dichotomize.R' 'drop-rows.R' 'edit-lock.R' 'export-dataset.R'
-        'expressions.R' 'fill-variable.R' 'filters.R' 'folders.R'
-        'fork-and-merge.R' 'formula.R' 'gadgets.R' 'geo.R'
-        'get-datasets.R' 'github.R' 'hide-variables.R' 'insertions.R'
-        'interact.R' 'join-dataset.R' 'json.R' 'length.R'
-        'make-array.R' 'members.R' 'merge-crunch-data-frame.R' 'misc.R'
-        'multitables.R' 'new-dataset.R' 'ordering.R'
+        'dichotomize.R' 'dimension-transforms.R' 'drop-rows.R'
+        'edit-lock.R' 'export-dataset.R' 'expressions.R'
+        'fill-variable.R' 'filters.R' 'folders.R' 'fork-and-merge.R'
+        'formula.R' 'gadgets.R' 'geo.R' 'get-datasets.R' 'github.R'
+        'hide-variables.R' 'insertions.R' 'interact.R' 'join-dataset.R'
+        'json.R' 'length.R' 'make-array.R' 'members.R'
+        'merge-crunch-data-frame.R' 'misc.R' 'multitables.R'
+        'new-dataset.R' 'ordering.R' 'palettes.R'
         'permission-catalog.R' 'permissions.R' 'show.R'
         'pretty-print.R' 'private-variables.R' 'progress.R'
         'project-folder.R' 'projects.R' 'rowwise.R' 'search.R'
@@ -67,7 +68,7 @@
         'variable-type.R' 'variable-update.R' 'variable.R'
         'variables.R' 'versions.R' 'weight.R' 'zcl.R'
 NeedsCompilation: no
-Packaged: 2021-02-01 23:41:44 UTC; gregfreedmanellis
+Packaged: 2021-04-05 21:13:54 UTC; gregfreedmanellis
 Author: Greg Freedman Ellis [aut, cre],
   Jonathan Keane [aut],
   Mike Malecki [aut],
@@ -75,4 +76,4 @@
   Gordon Shotwell [aut]
 Maintainer: Greg Freedman Ellis <greg@crunch.io>
 Repository: CRAN
-Date/Publication: 2021-02-02 10:50:11 UTC
+Date/Publication: 2021-04-05 21:50:02 UTC

## crunch 1.28.1

=== DESCRIPTION ===
--- 
+++ 
@@ -7,7 +7,7 @@
     datasets from within R. Importantly, this allows technical researchers to
     collaborate naturally with team members, managers, and clients who prefer a
     point-and-click interface.
-Version: 1.28.0
+Version: 1.28.1
 Authors@R: c(
     person("Greg", "Freedman Ellis", role = c("aut", "cre"), email = "greg@crunch.io"),
     person("Jonathan", "Keane", role="aut", email="jkeane@gmail.com"),
@@ -68,7 +68,7 @@
         'variable-type.R' 'variable-update.R' 'variable.R'
         'variables.R' 'versions.R' 'weight.R' 'zcl.R'
 NeedsCompilation: no
-Packaged: 2021-04-05 21:13:54 UTC; gregfreedmanellis
+Packaged: 2021-08-13 17:32:19 UTC; gregfreedmanellis
 Author: Greg Freedman Ellis [aut, cre],
   Jonathan Keane [aut],
   Mike Malecki [aut],
@@ -76,4 +76,4 @@
   Gordon Shotwell [aut]
 Maintainer: Greg Freedman Ellis <greg@crunch.io>
 Repository: CRAN
-Date/Publication: 2021-04-05 21:50:02 UTC
+Date/Publication: 2021-08-13 18:20:06 UTC

## crunch 1.28.2

=== DESCRIPTION ===
--- 
+++ 
@@ -7,7 +7,7 @@
     datasets from within R. Importantly, this allows technical researchers to
     collaborate naturally with team members, managers, and clients who prefer a
     point-and-click interface.
-Version: 1.28.1
+Version: 1.28.2
 Authors@R: c(
     person("Greg", "Freedman Ellis", role = c("aut", "cre"), email = "greg@crunch.io"),
     person("Jonathan", "Keane", role="aut", email="jkeane@gmail.com"),
@@ -20,13 +20,13 @@
 Depends: R (>= 3.0.0)
 Imports: abind, crayon, curl, grDevices, httr (>= 1.0.0), httpcache (>=
         0.1.4), jsonlite (>= 0.9.15), methods
-Suggests: covr, crunchy, devtools, haven, httptest (>= 3.0.0), keyring,
-        knitr, lintr, magrittr, rmarkdown, rstudioapi, spelling,
-        styler, testthat (>= 2.0.0), withr
+Suggests: base64enc, covr, crunchy, devtools, haven, httptest (>=
+        3.0.0), keyring, knitr, lintr, magrittr, mime, rmarkdown,
+        rstudioapi, spelling, styler, testthat (>= 2.0.0), withr
 VignetteBuilder: knitr
 Language: en-US
 Encoding: UTF-8
-RoxygenNote: 7.1.1
+RoxygenNote: 7.1.2
 LazyData: true
 Collate: 'AllClasses.R' 'AllGenerics.R' 'variable-definition.R'
         'R-to-variable.R' 'SO-survey.R' 'abstract-categories.R'
@@ -68,7 +68,7 @@
         'variable-type.R' 'variable-update.R' 'variable.R'
         'variables.R' 'versions.R' 'weight.R' 'zcl.R'
 NeedsCompilation: no
-Packaged: 2021-08-13 17:32:19 UTC; gregfreedmanellis
+Packaged: 2021-11-10 17:00:12 UTC; gregfreedmanellis
 Author: Greg Freedman Ellis [aut, cre],
   Jonathan Keane [aut],
   Mike Malecki [aut],
@@ -76,4 +76,4 @@
   Gordon Shotwell [aut]
 Maintainer: Greg Freedman Ellis <greg@crunch.io>
 Repository: CRAN
-Date/Publication: 2021-08-13 18:20:06 UTC
+Date/Publication: 2021-11-10 17:30:02 UTC

## crunch 1.29.0

=== DESCRIPTION ===
--- 
+++ 
@@ -7,7 +7,7 @@
     datasets from within R. Importantly, this allows technical researchers to
     collaborate naturally with team members, managers, and clients who prefer a
     point-and-click interface.
-Version: 1.28.2
+Version: 1.29.0
 Authors@R: c(
     person("Greg", "Freedman Ellis", role = c("aut", "cre"), email = "greg@crunch.io"),
     person("Jonathan", "Keane", role="aut", email="jkeane@gmail.com"),
@@ -68,7 +68,7 @@
         'variable-type.R' 'variable-update.R' 'variable.R'
         'variables.R' 'versions.R' 'weight.R' 'zcl.R'
 NeedsCompilation: no
-Packaged: 2021-11-10 17:00:12 UTC; gregfreedmanellis
+Packaged: 2022-01-27 19:28:42 UTC; gregfreedmanellis
 Author: Greg Freedman Ellis [aut, cre],
   Jonathan Keane [aut],
   Mike Malecki [aut],
@@ -76,4 +76,4 @@
   Gordon Shotwell [aut]
 Maintainer: Greg Freedman Ellis <greg@crunch.io>
 Repository: CRAN
-Date/Publication: 2021-11-10 17:30:02 UTC
+Date/Publication: 2022-01-27 21:50:02 UTC

## crunch 1.29.1

=== DESCRIPTION ===
--- 
+++ 
@@ -7,7 +7,7 @@
     datasets from within R. Importantly, this allows technical researchers to
     collaborate naturally with team members, managers, and clients who prefer a
     point-and-click interface.
-Version: 1.29.0
+Version: 1.29.1
 Authors@R: c(
     person("Greg", "Freedman Ellis", role = c("aut", "cre"), email = "greg@crunch.io"),
     person("Jonathan", "Keane", role="aut", email="jkeane@gmail.com"),
@@ -68,7 +68,7 @@
         'variable-type.R' 'variable-update.R' 'variable.R'
         'variables.R' 'versions.R' 'weight.R' 'zcl.R'
 NeedsCompilation: no
-Packaged: 2022-01-27 19:28:42 UTC; gregfreedmanellis
+Packaged: 2022-04-07 21:05:57 UTC; gregfreedmanellis
 Author: Greg Freedman Ellis [aut, cre],
   Jonathan Keane [aut],
   Mike Malecki [aut],
@@ -76,4 +76,4 @@
   Gordon Shotwell [aut]
 Maintainer: Greg Freedman Ellis <greg@crunch.io>
 Repository: CRAN
-Date/Publication: 2022-01-27 21:50:02 UTC
+Date/Publication: 2022-04-07 21:52:34 UTC

## crunch 1.30.0

=== DESCRIPTION ===
--- 
+++ 
@@ -7,7 +7,7 @@
     datasets from within R. Importantly, this allows technical researchers to
     collaborate naturally with team members, managers, and clients who prefer a
     point-and-click interface.
-Version: 1.29.1
+Version: 1.30.0
 Authors@R: c(
     person("Greg", "Freedman Ellis", role = c("aut", "cre"), email = "greg@crunch.io"),
     person("Jonathan", "Keane", role="aut", email="jkeane@gmail.com"),
@@ -21,8 +21,8 @@
 Imports: abind, crayon, curl, grDevices, httr (>= 1.0.0), httpcache (>=
         0.1.4), jsonlite (>= 0.9.15), methods
 Suggests: base64enc, covr, crunchy, devtools, haven, httptest (>=
-        3.0.0), keyring, knitr, lintr, magrittr, mime, rmarkdown,
-        rstudioapi, spelling, styler, testthat (>= 2.0.0), withr
+        3.0.0), knitr, lintr, magrittr, mime, rmarkdown, rstudioapi,
+        spelling, styler, testthat (>= 2.0.0), withr
 VignetteBuilder: knitr
 Language: en-US
 Encoding: UTF-8
@@ -68,7 +68,7 @@
         'variable-type.R' 'variable-update.R' 'variable.R'
         'variables.R' 'versions.R' 'weight.R' 'zcl.R'
 NeedsCompilation: no
-Packaged: 2022-04-07 21:05:57 UTC; gregfreedmanellis
+Packaged: 2022-04-29 15:57:43 UTC; gregfreedmanellis
 Author: Greg Freedman Ellis [aut, cre],
   Jonathan Keane [aut],
   Mike Malecki [aut],
@@ -76,4 +76,4 @@
   Gordon Shotwell [aut]
 Maintainer: Greg Freedman Ellis <greg@crunch.io>
 Repository: CRAN
-Date/Publication: 2022-04-07 21:52:34 UTC
+Date/Publication: 2022-05-02 08:30:02 UTC

## crunch 1.30.1

=== DESCRIPTION ===
--- 
+++ 
@@ -7,7 +7,7 @@
     datasets from within R. Importantly, this allows technical researchers to
     collaborate naturally with team members, managers, and clients who prefer a
     point-and-click interface.
-Version: 1.30.0
+Version: 1.30.1
 Authors@R: c(
     person("Greg", "Freedman Ellis", role = c("aut", "cre"), email = "greg@crunch.io"),
     person("Jonathan", "Keane", role="aut", email="jkeane@gmail.com"),
@@ -26,7 +26,7 @@
 VignetteBuilder: knitr
 Language: en-US
 Encoding: UTF-8
-RoxygenNote: 7.1.2
+RoxygenNote: 7.2.2
 LazyData: true
 Collate: 'AllClasses.R' 'AllGenerics.R' 'variable-definition.R'
         'R-to-variable.R' 'SO-survey.R' 'abstract-categories.R'
@@ -68,7 +68,7 @@
         'variable-type.R' 'variable-update.R' 'variable.R'
         'variables.R' 'versions.R' 'weight.R' 'zcl.R'
 NeedsCompilation: no
-Packaged: 2022-04-29 15:57:43 UTC; gregfreedmanellis
+Packaged: 2022-11-16 01:21:31 UTC; gregfreedmanellis
 Author: Greg Freedman Ellis [aut, cre],
   Jonathan Keane [aut],
   Mike Malecki [aut],
@@ -76,4 +76,4 @@
   Gordon Shotwell [aut]
 Maintainer: Greg Freedman Ellis <greg@crunch.io>
 Repository: CRAN
-Date/Publication: 2022-05-02 08:30:02 UTC
+Date/Publication: 2022-11-16 14:00:05 UTC

## crunch 1.30.2

=== DESCRIPTION ===
--- 
+++ 
@@ -7,13 +7,14 @@
     datasets from within R. Importantly, this allows technical researchers to
     collaborate naturally with team members, managers, and clients who prefer a
     point-and-click interface.
-Version: 1.30.1
+Version: 1.30.2
 Authors@R: c(
     person("Greg", "Freedman Ellis", role = c("aut", "cre"), email = "greg@crunch.io"),
     person("Jonathan", "Keane", role="aut", email="jkeane@gmail.com"),
     person("Mike", "Malecki", role="aut", email="mike@crunch.io"),
     person("Neal", "Richardson", role="aut", email="neal.p.richardson@gmail.com"),
-    person("Gordon", "Shotwell", role="aut", email="gordon.shotwell@gmail.com"))
+    person("Gordon", "Shotwell", role="aut", email="gordon.shotwell@gmail.com"),
+    person("Aljaž", "Sluga", role="aut", email="aljaz.sluga@crunch.io"))
 URL: https://crunch.io/r/crunch/, https://github.com/Crunch-io/rcrunch
 BugReports: https://github.com/Crunch-io/rcrunch/issues
 License: LGPL (>= 3)
@@ -26,7 +27,7 @@
 VignetteBuilder: knitr
 Language: en-US
 Encoding: UTF-8
-RoxygenNote: 7.2.2
+RoxygenNote: 7.2.3
 LazyData: true
 Collate: 'AllClasses.R' 'AllGenerics.R' 'variable-definition.R'
         'R-to-variable.R' 'SO-survey.R' 'abstract-categories.R'
@@ -68,12 +69,13 @@
         'variable-type.R' 'variable-update.R' 'variable.R'
         'variables.R' 'versions.R' 'weight.R' 'zcl.R'
 NeedsCompilation: no
-Packaged: 2022-11-16 01:21:31 UTC; gregfreedmanellis
+Packaged: 2023-03-21 15:17:53 UTC; gregfreedmanellis
 Author: Greg Freedman Ellis [aut, cre],
   Jonathan Keane [aut],
   Mike Malecki [aut],
   Neal Richardson [aut],
-  Gordon Shotwell [aut]
+  Gordon Shotwell [aut],
+  Aljaž Sluga [aut]
 Maintainer: Greg Freedman Ellis <greg@crunch.io>
 Repository: CRAN
-Date/Publication: 2022-11-16 14:00:05 UTC
+Date/Publication: 2023-03-22 13:10:09 UTC

## crunch 1.30.3

=== DESCRIPTION ===
--- 
+++ 
@@ -7,7 +7,7 @@
     datasets from within R. Importantly, this allows technical researchers to
     collaborate naturally with team members, managers, and clients who prefer a
     point-and-click interface.
-Version: 1.30.2
+Version: 1.30.3
 Authors@R: c(
     person("Greg", "Freedman Ellis", role = c("aut", "cre"), email = "greg@crunch.io"),
     person("Jonathan", "Keane", role="aut", email="jkeane@gmail.com"),
@@ -69,7 +69,7 @@
         'variable-type.R' 'variable-update.R' 'variable.R'
         'variables.R' 'versions.R' 'weight.R' 'zcl.R'
 NeedsCompilation: no
-Packaged: 2023-03-21 15:17:53 UTC; gregfreedmanellis
+Packaged: 2023-08-30 14:53:22 UTC; gregfreedmanellis
 Author: Greg Freedman Ellis [aut, cre],
   Jonathan Keane [aut],
   Mike Malecki [aut],
@@ -78,4 +78,4 @@
   Aljaž Sluga [aut]
 Maintainer: Greg Freedman Ellis <greg@crunch.io>
 Repository: CRAN
-Date/Publication: 2023-03-22 13:10:09 UTC
+Date/Publication: 2023-08-30 17:10:11 UTC

## crunch 1.30.4

=== DESCRIPTION ===
--- 
+++ 
@@ -7,7 +7,7 @@
     datasets from within R. Importantly, this allows technical researchers to
     collaborate naturally with team members, managers, and clients who prefer a
     point-and-click interface.
-Version: 1.30.3
+Version: 1.30.4
 Authors@R: c(
     person("Greg", "Freedman Ellis", role = c("aut", "cre"), email = "greg@crunch.io"),
     person("Jonathan", "Keane", role="aut", email="jkeane@gmail.com"),
@@ -69,7 +69,7 @@
         'variable-type.R' 'variable-update.R' 'variable.R'
         'variables.R' 'versions.R' 'weight.R' 'zcl.R'
 NeedsCompilation: no
-Packaged: 2023-08-30 14:53:22 UTC; gregfreedmanellis
+Packaged: 2024-01-17 03:00:15 UTC; gregfreedmanellis
 Author: Greg Freedman Ellis [aut, cre],
   Jonathan Keane [aut],
   Mike Malecki [aut],
@@ -78,4 +78,4 @@
   Aljaž Sluga [aut]
 Maintainer: Greg Freedman Ellis <greg@crunch.io>
 Repository: CRAN
-Date/Publication: 2023-08-30 17:10:11 UTC
+Date/Publication: 2024-01-17 09:00:02 UTC

## crunch 1.31.0

=== DESCRIPTION ===
--- 
+++ 
@@ -7,7 +7,7 @@
     datasets from within R. Importantly, this allows technical researchers to
     collaborate naturally with team members, managers, and clients who prefer a
     point-and-click interface.
-Version: 1.30.4
+Version: 1.31.0
 Authors@R: c(
     person("Greg", "Freedman Ellis", role = c("aut", "cre"), email = "greg@crunch.io"),
     person("Jonathan", "Keane", role="aut", email="jkeane@gmail.com"),
@@ -21,13 +21,13 @@
 Depends: R (>= 3.0.0)
 Imports: abind, crayon, curl, grDevices, httr (>= 1.0.0), httpcache (>=
         0.1.4), jsonlite (>= 0.9.15), methods
-Suggests: base64enc, covr, crunchy, devtools, haven, httptest (>=
-        3.0.0), knitr, lintr, magrittr, mime, rmarkdown, rstudioapi,
-        spelling, styler, testthat (>= 2.0.0), withr
+Suggests: base64enc, covr, devtools, haven, httptest (>= 3.0.0), knitr,
+        lintr, magrittr, mime, rmarkdown, rstudioapi, spelling,
+        testthat (>= 2.0.0), withr
 VignetteBuilder: knitr
 Language: en-US
 Encoding: UTF-8
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.2
 LazyData: true
 Collate: 'AllClasses.R' 'AllGenerics.R' 'variable-definition.R'
         'R-to-variable.R' 'SO-survey.R' 'abstract-categories.R'
@@ -50,7 +50,7 @@
         'dichotomize.R' 'dimension-transforms.R' 'drop-rows.R'
         'edit-lock.R' 'export-dataset.R' 'expressions.R'
         'fill-variable.R' 'filters.R' 'folders.R' 'fork-and-merge.R'
-        'formula.R' 'gadgets.R' 'geo.R' 'get-datasets.R' 'github.R'
+        'formula.R' 'geo.R' 'get-datasets.R' 'github.R'
         'hide-variables.R' 'insertions.R' 'interact.R' 'join-dataset.R'
         'json.R' 'length.R' 'make-array.R' 'members.R'
         'merge-crunch-data-frame.R' 'misc.R' 'multitables.R'
@@ -69,7 +69,7 @@
         'variable-type.R' 'variable-update.R' 'variable.R'
         'variables.R' 'versions.R' 'weight.R' 'zcl.R'
 NeedsCompilation: no
-Packaged: 2024-01-17 03:00:15 UTC; gregfreedmanellis
+Packaged: 2025-03-14 14:22:36 UTC; gregfreedmanellis
 Author: Greg Freedman Ellis [aut, cre],
   Jonathan Keane [aut],
   Mike Malecki [aut],
@@ -78,4 +78,4 @@
   Aljaž Sluga [aut]
 Maintainer: Greg Freedman Ellis <greg@crunch.io>
 Repository: CRAN
-Date/Publication: 2024-01-17 09:00:02 UTC
+Date/Publication: 2025-03-18 12:40:03 UTC

## crunch 1.31.1

=== DESCRIPTION ===
--- 
+++ 
@@ -7,7 +7,7 @@
     datasets from within R. Importantly, this allows technical researchers to
     collaborate naturally with team members, managers, and clients who prefer a
     point-and-click interface.
-Version: 1.31.0
+Version: 1.31.1
 Authors@R: c(
     person("Greg", "Freedman Ellis", role = c("aut", "cre"), email = "greg@crunch.io"),
     person("Jonathan", "Keane", role="aut", email="jkeane@gmail.com"),
@@ -69,7 +69,7 @@
         'variable-type.R' 'variable-update.R' 'variable.R'
         'variables.R' 'versions.R' 'weight.R' 'zcl.R'
 NeedsCompilation: no
-Packaged: 2025-03-14 14:22:36 UTC; gregfreedmanellis
+Packaged: 2025-08-19 13:42:35 UTC; gregfreedmanellis
 Author: Greg Freedman Ellis [aut, cre],
   Jonathan Keane [aut],
   Mike Malecki [aut],
@@ -78,4 +78,4 @@
   Aljaž Sluga [aut]
 Maintainer: Greg Freedman Ellis <greg@crunch.io>
 Repository: CRAN
-Date/Publication: 2025-03-18 12:40:03 UTC
+Date/Publication: 2025-08-19 14:40:02 UTC

## crunch 3.6

=== Makefile ===
#   Copyright
#
#	Copyright (C) 2009-2013 Jason aka bofh28 <bofh28@gmail.com>
#
#   License
#	This program is free software; you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	the Free Software Foundation; version 2.
# 
#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	See the
#	GNU General Public License for more details.
#
#	You should have received a copy of the GNU General Public License
#	along with this program; if not, write to the Free Software
#	Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-13, USA
#	or see <http://www.gnu.org/licenses/gpl-2.0.html>.
#
#   Description
#
#	For standard FHS directory structure install, use command:
#	make PREFIX=/usr INSTALL_OPTIONS=geninstall

# detect Darwin = OS X enviro
UNAME_LOOKUP = $(shell uname -s)

# General variables
PACKAGE	    = crunch
VERSION	    = 3.6
PREFIX	    = /usr
DISTDIR	    = $(PACKAGE)-$(VERSION)
DISTFILES   = crunch.c crunch.1 charset.lst
BINDIR	    = $(PREFIX)/bin
LIBDIR	    = $(PREFIX)/lib/$(PACKAGE)
SHAREDIR    = $(PREFIX)/share/$(PACKAGE)
DOCDIR	    = $(PREFIX)/share/doc/$(PACKAGE)
MANDIR	    = $(PREFIX)/share/man/man1

INSTALL	    = sudo $(shell which install)
CC	    = $(shell which gcc)
LIBFLAGS    = -lm
THREADFLAGS = -pthread
OPTFLAGS    = -g -o0
LINTFLAGS   = -Wall -pedantic
CFLAGS_STD  = $(THREADFLAGS) $(LINTFLAGS) -std=c99
VCFLAGS	    = $(CFLAGS_STD) $(OPTFLAGS)
LFS	    = $(shell getconf POSIX_V6_ILP32_OFFBIG_CFLAGS)

ifeq ($(UNAME_LOOKUP),Darwin)
#Darwin = OS X, and os x does not use root root as stated in email
  INSTALL_OPTIONS = -g wheel -o root
# changing the CC flag from gcc is optional but Apple recommneds using LLVM clang compiler instad of gcc so it's a good practice to do so in an OS X enviro, alas not compulsory 
  CC = $(shell which cc)
#LFS flag HAS TO BE reset or it's a no-go :(
 LFS=""  
else
#non-mac as you were 
  INSTALL_OPTIONS = -g root -o root
endif

# Default target
all: build

build: crunch

val:	crunch.c
	@echo "Building valgrind compatible binary..."
	$(CC) $(CPPFLAGS) $(VCFLAGS) $(CFLAGS) $(LFS) $? $(LIBFLAGS) $(LDFLAGS) -o $(PACKAGE)
	@echo "valgrind --leak-check=yes crunch ..."
	@echo ""

crunch: crunch.c
	@echo "Building binary..."
	$(CC) $(CPPFLAGS) $(CFLAGS_STD) $(CFLAGS) $(LFS) $? $(LIBFLAGS) $(LDFLAGS) -o $@
	@echo ""

# Clean target
clean:
	@echo "Cleaning sources..."
	rm -f *.o $(PACKAGE) *~ START
	@echo ""

# Install generic target
install: build
	@echo "Creating directories..."
	$(INSTALL) -d $(INSTALL_OPTIONS) \
		$(DESTDIR)$(BINDIR) \
		$(DESTDIR)$(MANDIR) \
		$(DESTDIR)$(SHAREDIR) \
		$(DESTDIR)$(DOCDIR)
	@echo "Copying binary..."
	$(INSTALL) crunch $(DESTDIR)$(BINDIR)
	@echo "Copying charset.lst..."
	$(INSTALL) charset.lst $(DESTDIR)$(SHAREDIR)
	@echo "Copying COPYING..."
	$(INSTALL) COPYING $(DESTDIR)$(DOCDIR)
	@echo "Installing man page..."
	$(INSTALL) crunch.1 $(DESTDIR)$(MANDIR)
	@echo ""

# Uninstall target
uninstall:
	@echo "Deleting binary and manpages..."
	rm -rf $(BTBINDIR)/
	rm -rf $(BINDIR)/$(PACKAGE)
	rm -f $(MANDIR)/crunch.1
	@echo ""

zip: clean
	cd .. ;\
	zip -r $(DISTDIR).zip $(DISTDIR)

tarball: clean
	cd .. ;\
	tar -czf $(DISTDIR).tgz $(DISTDIR)

bzip: clean
	cd .. ;\
	tar -cjf $(DISTDIR).tar.bz2 $(DISTDIR)

=== debian/changelog ===
crunch (3.6-2) unstable; urgency=medium

  * Updated the Standards-Version to 3.9.6.
  * Implemented hardening through the rules file.
  * Fixed bug in the watch file.
  * Fixed name of the maintainer.

 -- Marcio de Souza Oliveira <m.desouza20@gmail.com>  Sun, 28 Sep 2014 20:50:21 -0300

crunch (3.6-1) unstable; urgency=low

  * Initial release (Closes: #608645)

 -- Marcio de Souza Olivera <m.desouza20@gmail.com>  Fri, 4 Jul 2014 14:49:07 -0300

=== debian/control ===
Source: crunch
Section: misc
Priority: optional
Maintainer: Marcio de Souza Oliveira <m.desouza20@gmail.com>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.6
Homepage: http://sourceforge.net/projects/crunch-wordlist/
Vcs-Git: git://github.com/marciosouza20/crunch
Vcs-Browser: http://github.com/marciosouza20/crunch

Package: crunch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: xz-utils | lzma, bzip2, p7zip-full
Description: tool for creating wordlist
 Crunch is a wordlist generator where you can specify a standard
 character set or any set of characters to be used in generating
 the wordlists. The wordlists are created through combination and
 permutation of a set of characters. You can determine the amount
 of characters and list size.
 .
 This program supports numbers and symbols, upper and lower case
 characters separately and Unicode.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --parallel

override_dh_installchangelogs:
	dh_installchangelogs debian/changelog.upstream

=== debian/watch ===
version=3
http://sf.net/crunch-wordlist/ .*crunch-(\d\S+)\.(?:tgz|tar\.(?:bz2|gz|xz))
